Bug 712686 - This bug was cloned from 543970 because 543970 was discovered in product Fedora whereas this problem was found in product Red Hat Enterprise Linux 6
Summary: This bug was cloned from 543970 because 543970 was discovered in product Fedo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: BaseOS QE Security Team
URL:
Whiteboard: setroubleshoot_trace_hash:be112e0c140...
Depends On: rootlogin
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-12 13:52 UTC by Red Hat Case Diagnostics
Modified: 2018-11-26 18:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-13 08:52:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Red Hat Case Diagnostics 2011-06-12 13:52:27 UTC
+++ This bug was initially created as a clone of Bug 543970 +++


Summary:

SELinux is preventing /usr/libexec/gdm-session-worker "write" access on /root.

Detailed Description:

SELinux denied access requested by gdm-session-wor. It is not expected that this
access is required by gdm-session-wor and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                /root [ dir ]
Source                        gdm-session-wor
Source Path                   /usr/libexec/gdm-session-worker
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gdm-2.28.1-24.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-49.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-145.fc12.i686 #1 SMP Sat
                              Nov 21 16:28:23 EST 2009 i686 i686
Alert Count                   2
First Seen                    Thu 03 Dec 2009 10:51:04 AM EST
Last Seen                     Thu 03 Dec 2009 10:51:04 AM EST
Local ID                      cdf26dd4-5864-499c-8981-c57de945160d
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1259855464.673:39): avc:  denied  { write } for  pid=5640 comm="gdm-session-wor" name="root" dev=sda3 ino=16397 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1259855464.673:39): arch=40000003 syscall=5 success=no exit=-13 a0=8c18380 a1=80c2 a2=180 a3=1e items=0 ppid=5597 pid=5640 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4 comm="gdm-session-wor" exe="/usr/libexec/gdm-session-worker" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-49.fc12,catchall,gdm-session-wor,xdm_t,admin_home_t,dir,write
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t admin_home_t:dir write;

--- Additional comment from dwalsh@redhat.com onThu Dec 03 16:01:19 EST 2009 ---
Logging in directly as root from X Windows is not supported with SELinux,  It is considered too dangerous and the amount/type of policy that would needed to be written, would allow too much access.


Either put the machin in permissive mode when you login as root, or login as a normal user and use su or sudo to reach root.

--- Additional comment from dwalsh@redhat.com onThu Dec 03 16:01:46 EST 2009 ---
*** Bug 543972 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onFri Dec 04 11:52:36 EST 2009 ---
*** Bug 541639 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onSat Dec 05 11:09:55 EST 2009 ---
*** Bug 544475 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Dec 09 13:35:01 EST 2009 ---
*** Bug 545412 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Dec 16 13:55:06 EST 2009 ---
*** Bug 547931 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Dec 16 13:57:26 EST 2009 ---
*** Bug 547933 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onMon Dec 21 15:31:16 EST 2009 ---
*** Bug 548997 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Dec 23 14:24:33 EST 2009 ---
*** Bug 533636 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Dec 23 17:16:29 EST 2009 ---
*** Bug 541153 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onSun Dec 27 12:50:45 EST 2009 ---
*** Bug 550210 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onSun Dec 27 13:02:46 EST 2009 ---
*** Bug 550364 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Dec 28 11:01:09 EST 2009 ---
*** Bug 550659 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Dec 28 11:05:26 EST 2009 ---
*** Bug 550661 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onThu Dec 31 13:46:45 EST 2009 ---
*** Bug 551460 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onThu Dec 31 13:51:29 EST 2009 ---
*** Bug 551485 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onThu Dec 31 14:00:43 EST 2009 ---
*** Bug 551504 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Jan 04 09:15:39 EST 2010 ---
*** Bug 551905 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Jan 04 10:58:46 EST 2010 ---
*** Bug 551654 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Jan 04 10:59:33 EST 2010 ---
*** Bug 551653 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Jan 04 11:00:26 EST 2010 ---
*** Bug 551652 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onMon Jan 04 15:35:18 EST 2010 ---
*** Bug 551903 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onTue Jan 12 15:59:42 EST 2010 ---
*** Bug 543062 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onThu Jan 21 19:46:32 EST 2010 ---
*** Bug 557549 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onThu Jan 21 19:46:53 EST 2010 ---
*** Bug 557550 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Jan 25 09:48:28 EST 2010 ---
*** Bug 557945 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Jan 27 18:41:53 EST 2010 ---
*** Bug 559328 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onThu Jan 28 16:40:39 EST 2010 ---
*** Bug 559619 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onThu Jan 28 16:42:28 EST 2010 ---
*** Bug 559617 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Feb 01 11:13:55 EST 2010 ---
*** Bug 560280 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Feb 01 11:19:41 EST 2010 ---
*** Bug 560363 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onTue Feb 02 13:39:23 EST 2010 ---
*** Bug 560836 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onTue Feb 02 13:39:47 EST 2010 ---
*** Bug 560837 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Feb 03 20:48:09 EST 2010 ---
*** Bug 561533 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onFri Feb 05 16:01:19 EST 2010 ---
*** Bug 562161 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onTue Feb 09 13:46:10 EST 2010 ---
*** Bug 563088 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onSun Feb 14 14:21:52 EST 2010 ---
*** Bug 565282 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Feb 15 22:42:33 EST 2010 ---
*** Bug 565644 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Feb 24 16:44:12 EST 2010 ---
*** Bug 567990 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onFri Mar 05 18:52:56 EST 2010 ---
*** Bug 570873 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Mar 17 12:51:51 EDT 2010 ---
*** Bug 568323 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onThu Mar 18 14:03:32 EDT 2010 ---
*** Bug 574653 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Mar 29 08:35:16 EDT 2010 ---
*** Bug 577661 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onMon Apr 26 08:53:46 EDT 2010 ---
*** Bug 585524 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onThu Apr 29 18:19:26 EDT 2010 ---
*** Bug 587358 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onMon May 17 13:23:14 EDT 2010 ---
*** Bug 592629 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onTue May 25 14:30:45 EDT 2010 ---
*** Bug 595530 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Jun 02 18:05:30 EDT 2010 ---
*** Bug 599121 has been marked as a duplicate of this bug. ***

--- Additional comment from dwalsh@redhat.com onWed Jun 02 18:05:54 EDT 2010 ---
*** Bug 599125 has been marked as a duplicate of this bug. ***

--- Additional comment from mgrepl@redhat.com onWed Sep 08 07:41:01 EDT 2010 ---
*** Bug 630492 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.